POST api/OrderPrice/SaveMrrBillingStatus
Request Information
URI Parameters
None.
Body Parameters
MedicalRecordRequestDataDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| ComapnyName | string |
String length: inclusive between 0 and 8000 |
|
| CompanyCode | string |
String length: inclusive between 0 and 50 |
|
| EmployeeName | string |
String length: inclusive between 0 and 8000 |
|
| RequestDate | date |
None. |
|
| DueDate | date |
None. |
|
| OrderTypeList | Collection of string |
None. |
|
| OrderType | string |
String length: inclusive between 0 and 8000 |
|
| Status | integer |
None. |
|
| RushandExpedite | string |
String length: inclusive between 0 and 8000 |
|
| Paid | string |
String length: inclusive between 0 and 8000 |
|
| PatientFirstName | string |
String length: inclusive between 0 and 8000 |
|
| PatientLastName | string |
String length: inclusive between 0 and 8000 |
|
| PaymentType | string |
String length: inclusive between 0 and 8000 |
|
| PaymentNumber | string |
String length: inclusive between 0 and 8000 |
|
| BillingStatus | integer |
None. |
|
| BillingComment | string |
String length: inclusive between 0 and 8000 |
|
| UniqueID | string |
String length: inclusive between 0 and 8000 |
|
| PatientDOB | date |
None. |
|
| EmployeeDOB | date |
None. |
|
| Price | string |
None. |
|
| IsAddOn | integer |
None. |
|
| MedicalRecordRequestTypeId | integer |
None. |
|
| BStatus | string |
String length: inclusive between 0 and 8000 |
|
| RequesterName | string |
String length: inclusive between 0 and 8000 |
|
| MedicalRequestOrderTypeId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 15 |
|
| ProviderReviewComplete | boolean |
None. |
|
| ProviderReviewRequested | boolean |
None. |
|
| ProviderReviewRequestedDate | date |
None. |
|
| ExternalRequestNumber | string |
None. |
|
| CPTCode | string |
None. |
|
| TangAndCompanyCode | string |
None. |
|
| ValidFlag | boolean |
None. |
|
| DateUpdated | date |
None. |
|
| ISWaviedFee | boolean |
None. |
Request Formats
application/json, text/json
{
"Id": 1,
"ComapnyName": "sample string 1",
"CompanyCode": "sample string 2",
"EmployeeName": "sample string 3",
"RequestDate": "2026-08-04T14:26:36.3759187-07:00",
"DueDate": "2026-08-04T14:26:36.3759187-07:00",
"OrderTypeList": [
"sample string 1",
"sample string 2"
],
"OrderType": "sample string 5",
"Status": 1,
"RushandExpedite": "sample string 6",
"Paid": "sample string 7",
"PatientFirstName": "sample string 8",
"PatientLastName": "sample string 9",
"PaymentType": "sample string 10",
"PaymentNumber": "sample string 11",
"BillingStatus": 1,
"BillingComment": "sample string 12",
"UniqueID": "sample string 13",
"PatientDOB": "2026-08-04T14:26:36.3759187-07:00",
"EmployeeDOB": "2026-08-04T14:26:36.3759187-07:00",
"Price": "sample string 14",
"IsAddOn": 1,
"MedicalRecordRequestTypeId": 1,
"BStatus": "sample string 15",
"RequesterName": "sample string 16",
"MedicalRequestOrderTypeId": 1,
"EmployeeId": "sample string 17",
"ProviderReviewComplete": true,
"ProviderReviewRequested": true,
"ProviderReviewRequestedDate": "2026-08-04T14:26:36.3915471-07:00",
"ExternalRequestNumber": "sample string 18",
"CPTCode": "sample string 19",
"TangAndCompanyCode": "sample string 20",
"ValidFlag": true,
"DateUpdated": "2026-08-04T14:26:36.3915471-07:00",
"ISWaviedFee": true
}
application/x-www-form-urlencoded
Sample not available.
Response Information
Resource Description
AsapResponseOfMedicalRecordRequestDataDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | MedicalRecordRequestDataDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"ComapnyName": "sample string 1",
"CompanyCode": "sample string 2",
"EmployeeName": "sample string 3",
"RequestDate": "2026-08-04T14:26:36.4000663-07:00",
"DueDate": "2026-08-04T14:26:36.4000663-07:00",
"OrderTypeList": [
"sample string 1",
"sample string 2"
],
"OrderType": "sample string 5",
"Status": 1,
"RushandExpedite": "sample string 6",
"Paid": "sample string 7",
"PatientFirstName": "sample string 8",
"PatientLastName": "sample string 9",
"PaymentType": "sample string 10",
"PaymentNumber": "sample string 11",
"BillingStatus": 1,
"BillingComment": "sample string 12",
"UniqueID": "sample string 13",
"PatientDOB": "2026-08-04T14:26:36.4000663-07:00",
"EmployeeDOB": "2026-08-04T14:26:36.4000663-07:00",
"Price": "sample string 14",
"IsAddOn": 1,
"MedicalRecordRequestTypeId": 1,
"BStatus": "sample string 15",
"RequesterName": "sample string 16",
"MedicalRequestOrderTypeId": 1,
"EmployeeId": "sample string 17",
"ProviderReviewComplete": true,
"ProviderReviewRequested": true,
"ProviderReviewRequestedDate": "2026-08-04T14:26:36.4000663-07:00",
"ExternalRequestNumber": "sample string 18",
"CPTCode": "sample string 19",
"TangAndCompanyCode": "sample string 20",
"ValidFlag": true,
"DateUpdated": "2026-08-04T14:26:36.4000663-07:00",
"ISWaviedFee": true
},
"totalCount": 3
}